Name:		lxdm
Version:	0.5.3
Release:	%mkrel 1
Summary:	Lightweight X Display Manager

License:	GPL
Group:          Graphical desktop/Other
URL:		https://sourceforge.net/projects/%{name}
Source0:	%{name}-%{version}.tar.xz
Source1:	27%{name}.conf
Source2:        gdmflexiserver
Source3:	%{name}-config.desktop
Source4:	pam_environment
Source5:        Xsession
Patch0:         %{name}-%{version}-default-config.patch
Patch1:         %{name}-%{version}-generate-session-list.patch
Patch2:         %{name}-%{version}-pam.patch
Patch3:         %{name}-%{version}-xsessions-dir.patch
Patch4:		%{name}-%{version}-git-fixes.patch

BuildRequires:	intltool
BuildRequires:	iso-codes-devel
BuildRequires:	%{_lib}consolekit-devel
BuildRequires:	%{_lib}glib2.0-devel
BuildRequires:	%{_lib}gtk+3.0-devel
BuildRequires:	%{_lib}pam-devel
BuildRequires:	%{_lib}x11-devel
BuildRequires:  libpthread-stubs
BuildRequires:	wayland-protocols-devel
Requires:	consolekit-x11
Requires:	desktop-common-data
Requires:	gksu
Requires:	iso-codes
Requires:	%{_lib}rsvg2_2
Requires:	pam
Provides:	dm

%description
Lightweight X11 Display Manager alternative for KDM or GDM.

%prep
%setup -q
%apply_patches
%__cp %{S:2} .

%build
%configure2_5x \
  --with-pam \
  --with-systemdsystemunitdir=no \
  --enable-gtk3
%make

%install
%make_install
%__install -Dm644 %{S:1} %{buildroot}%{_datadir}/X11/dm.d/27%{name}.conf
%__install -Dm644 %{S:3} %{buildroot}/%{_desktopdir}/%{name}-config.desktop
%__install -Dm644 %{S:4} %{buildroot}/%{_localstatedir}/lib/%{name}/.pam_environment
%__install -m755  %{S:5} %{buildroot}/%{_sysconfdir}/%{name}/Xsession
%find_lang %{name}

%pre
if [ "$1" = 2 ]; then
%__sed -i '/^greeter=/s/%{_lib}/libexec/g' %{_sysconfdir}/%{name}/%{name}.conf &>/dev/null || :
fi

%post
if [ "$1" = 1 ]; then
echo -e \
"\n-------------------------------------------------------------------------------
 1. To start using LXDM as main display manager go to:
 PCLinuxOS Control Center => Boot => Setup display manager. Make your choice,
 apply changes and reboot your computer.\n
 2. To change some configurable options of LXDM run graphical configurator
 from menu: Menu => More Applications => Configuration => LXDM configurator.\n
 3. To enable LXDM's user-switching function in Xfce or LXDE desktop just
 copy with root privileges /usr/share/doc/lxdm/gdmflexiserver file
 to /usr/local/bin directory.\n
 4. If you plan to change your deafult display manager to other available in
 repository, delete file /usr/local/bin/gdmflexiserver.
-------------------------------------------------------------------------------\n"
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS gdmflexiserver
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_sysconfdir}/%{name}/LoginReady
%{_sysconfdir}/%{name}/PostLogin
%{_sysconfdir}/%{name}/PostLogout
%{_sysconfdir}/%{name}/PreLogin
%{_sysconfdir}/%{name}/PreReboot
%{_sysconfdir}/%{name}/PreShutdown
%{_sysconfdir}/%{name}/Xsession
%{_sysconfdir}/pam.d/%{name}
%{_bindir}/%{name}-config
%{_libexecdir}/%{name}-greeter-*
%{_libexecdir}/%{name}-numlock
%{_libexecdir}/%{name}-session
%{_sbindir}/%{name}
%{_sbindir}/%{name}-binary
%{_desktopdir}/%{name}-config.desktop
%{_datadir}/%{name}
%{_datadir}/X11/dm.d/27%{name}.conf
%{_localstatedir}/lib/%{name}
%ghost %attr(644,root,root) %{_localstatedir}/lib/%{name}/%{name}.conf
%ghost %attr(755,root,root) %dir %{_localstatedir}/run/%{name}
%ghost %attr(600,root,root) %{_localstatedir}/run/%{name}/%{name}-:0.auth
%ghost %attr(777,root,root) %{_localstatedir}/run/%{name}/%{name}.sock
%ghost %attr(644,root,root) %{_localstatedir}/run/%{name}.pid

%changelog
* Tue Apr 05 2017 marcin82 <marcin82 at vp.pl> 0.5.3-1pclos2017
- update, upstream fixed numlock bug, removed lxdm user/group %%pretrans scriptlet
- added patch 4, added %%pre scriptlet due to %%_libexec macro change
- switched to Gtk3, changes in spec file

* Mon Nov 16 2015 marcin82 <fixxer1982@gmail.com> 0.5.2-2pclos2015
- Fixed bug with numlock, git commit: b9155ae4d095fbb88d37380e946d230483846d24
- Info: http://git.lxde.org/gitweb/?p=lxde/lxdm.git;a=commit;h=b9155ae4d095fbb88d37380e946d230483846d24
- Patch4 source: http://git.lxde.org/gitweb/?p=lxde/lxdm.git;a=patch;h=b9155ae4d095fbb88d37380e946d230483846d24

* Tue Oct 20 2015 marcin82 <fixxer1982@gmail.com> 0.5.2-1pclos2015
- Version 0.5.2. Removed "lxdm-0.5.1-git-fixes.patch" as applied in upstream 0.5.2 release.
- Resignation of adding lxdm user/group as causing problems with xserver authentication.
  Related issue, see comments: https://aur.archlinux.org/packages/lxdm-git/ . Added pretrans
  script for help to transition to new version.

* Fri Oct 17 2015 marcin82 <fixxer1982@gmail.com> 0.5.1-2pclos2015
- Rebuilt against new lib64glib2.0_0; amendments in spec file

* Wed Sep 18 2015 marcin82 <fixxer1982@gmail.com> 0.5.1-1pclos2015
- Import to PCLinuxOS. Patch "lxdm-0.5.1-git-fixes.patch"
  source: https://www.archlinux.org/packages/community/x86_64/lxdm/ .
